﻿using System.Collections;
using UnityEngine;
using UnityEngine.InputSystem;

namespace Assets.FishTank
{
    public class CameraInputHandler : MonoBehaviour
    {
        [SerializeField] private PlayerCameraHandler _playerCameraHandler;

        private bool _panEnabled;
        public void EnablePan(InputAction.CallbackContext context)
        {
            _panEnabled = context.phase switch
            {
                InputActionPhase.Performed => true,
                _ => false,
            };
        }

        public void OnPan(InputAction.CallbackContext context)
        {
            if (context.phase != InputActionPhase.Performed) return;
            if (!_panEnabled) return;

            var input = context.ReadValue<Vector2>();
            _playerCameraHandler.Pan(input * Time.deltaTime);
        }

    }
}