using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.InputSystem;

namespace Assets.FishTank
{
    public class PlayerCameraHandler : MonoBehaviour
    {
        [SerializeField] private Camera _camera;
        [SerializeField] private Bounds _bounds; // TODO (Michael): add way for bounds to be constrained to tank size
        [SerializeField] [Range(0, 10)] private float _panSensitivity;

        public void Pan(Vector2 panAmount)
        {
            var cameraPosition = _camera.transform.position;
            cameraPosition += (Vector3) panAmount * _panSensitivity;

            if (!_bounds.Contains(cameraPosition))
            {
                cameraPosition = _bounds.ClosestPoint(cameraPosition);
            }

            _camera.transform.position = cameraPosition;
        }

        private void OnEnable()
        {
            Cursor.lockState = CursorLockMode.Locked;
        }
    }
}
